Page MenuHomeFreeBSD

nvmf_tcp.h: Internal header shared between userspace and kernel
ClosedPublic

Authored by jhb on Apr 9 2024, 11:03 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jun 29, 4:50 AM
Unknown Object (File)
Wed, Jun 26, 10:27 AM
Unknown Object (File)
Wed, Jun 26, 5:57 AM
Unknown Object (File)
Sat, Jun 22, 1:47 AM
Unknown Object (File)
Jun 13 2024, 6:27 PM
Unknown Object (File)
May 29 2024, 7:45 PM
Unknown Object (File)
May 27 2024, 2:10 AM
Unknown Object (File)
May 17 2024, 5:28 PM
Subscribers
None

Details

Summary
  • Helper macros for specific SGL types used with the TCP transport
  • An inline function which validates various fields in TCP PDUs

Sponsored by: Chelsio Communications

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jhb requested review of this revision.Apr 9 2024, 11:03 PM
jhb created this revision.

generally good, could of nits. see other warnings about nvmf knowledge being weak, so I can only do a cursory review of the code.

sys/dev/nvmf/nvmf_tcp.h
31

guard macro names...

34

I'm surprised we don't define this one in sys/cdefs.h

90

since standard section numbering fluctuates between revisions, maybe it would make sense to have a quick note at the top of this fix documenting what version "Section numbers below are against NVMF standard 1.1" or somesuch.

This revision is now accepted and ready to land.Apr 13 2024, 5:58 PM
jhb marked an inline comment as done.Apr 16 2024, 5:57 PM
jhb added inline comments.
sys/dev/nvmf/nvmf_tcp.h
34

We don't for userspace. That's a kernel-only macro.

This revision now requires review to proceed.Apr 16 2024, 8:43 PM
This revision is now accepted and ready to land.Apr 16 2024, 9:00 PM

Switch to SPDX-only license blocks for C files

This revision now requires review to proceed.May 1 2024, 10:51 PM
This revision was not accepted when it landed; it landed in state Needs Review.May 3 2024, 12:16 AM
This revision was automatically updated to reflect the committed changes.